Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.settings.refinements
Class RegularExpressionCriteria

    java.lang.Object
      org.archive.crawler.settings.refinements.RegularExpressionCriteria

All Implemented Interfaces:
  Criteria

    public class RegularExpressionCriteria

extends java.lang.Object
implements Criteria

A refinement criteria that test if a URI matches a regular expression.

Author:
  John Erik Halse

Constructor Summary
`RegularExpressionCriteria()` Create a new instance of RegularExpressionCriteria.
`RegularExpressionCriteria(java.lang.String regexp)` Create a new instance of RegularExpressionCriteria initializing it with a regular expression.

Method Summary
`java.lang.String` | `getDescription()` Returns a description of the Criteria's current settings.
`java.lang.String` | `getName()` Returns the name of the Criteria type.
`java.lang.String` | `getRegexp()` Get the regular expression to be matched against a URI.
`boolean` | `isWithinRefinementBounds(UURI uri)` Check if a uri is within the bounds of this criteria.
`void` | `setRegexp(java.lang.String regexp)` Set the regular expression to be matched against a URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegularExpressionCriteria

    public RegularExpressionCriteria()

  Create a new instance of RegularExpressionCriteria.

### RegularExpressionCriteria

    public RegularExpressionCriteria(java.lang.String regexp)

  Create a new instance of RegularExpressionCriteria initializing it with a regular expression.

  Parameters:
    `regexp` - the regular expression for this criteria.

Method Detail

### isWithinRefinementBounds

    public boolean isWithinRefinementBounds(UURI uri)

  Description copied from interface: `Criteria`
  Check if a uri is within the bounds of this criteria.

  Specified by:
    `isWithinRefinementBounds` in interface `Criteria`
  Parameters:
    `uri` - the UURI to check.
  Returns:
    true if the curi is within the bounds.

### getRegexp

    public java.lang.String getRegexp()

  Get the regular expression to be matched against a URI.

  Returns:
    Returns the regexp.

### setRegexp

    public void setRegexp(java.lang.String regexp)

  Set the regular expression to be matched against a URI.

  Parameters:
    `regexp` - The regexp to set.

### getName

    public java.lang.String getName()

  Description copied from interface: `Criteria`
  Returns the name of the Criteria type.

  Specified by:
    `getName` in interface `Criteria`
  Returns:
    the name of the Criteria type

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `Criteria`
  Returns a description of the Criteria's current settings.

  Specified by:
    `getDescription` in interface `Criteria`
  Returns:
    a description of the Criteria's current settings.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.